﻿using System; 
using System.Reflection; 
namespace Mengma.Model { 
    


    /// <summary>
    /// 订单（Orders）   
    /// </summary>    
    /// <remarks>
    /// 项目名称：WebForm_三层架构Asp.Net经典MSSQL版
    /// 创 建 人：Administrator
    /// 创建日期：2013年10月04日 22:50:49
    /// </remarks>
	public class Orders{ 	

		#region 私有属性成员 

       int m_OrderID;            //订单ID 
       string m_CustomerID;      //客户ID 
       int m_EmployeeID;         //雇员ID 
       DateTime m_OrderDate;     //订购日期 
       DateTime m_RequiredDate;  //发货日期 
       DateTime m_ShippedDate;   //到货日期 
       int m_ShipVia;            //运货商ID 
       decimal m_Freight;        //运货费 
       string m_ShipName;        //运货商 
       string m_ShipAddress;     //货主地址 
       string m_ShipCity;        //货主城市 
       string m_ShipRegion;      //货主国家 
       string m_ShipPostalCode;  //货主邮政编码 
       string m_ShipCountry;     //货主国家 
 
		#endregion
		
		#region 构造函数 Constructors 
		public Orders(){
            m_OrderID = 0;
            m_CustomerID = "";
            m_EmployeeID = 0;
            m_OrderDate = System.DateTime.Now;
            m_RequiredDate = System.DateTime.Now;
            m_ShippedDate = System.DateTime.Now;
            m_ShipVia = 0;
            m_Freight = 0;
            m_ShipName = "";
            m_ShipAddress = "";
            m_ShipCity = "";
            m_ShipRegion = "";
            m_ShipPostalCode = "";
            m_ShipCountry = "";

		}

		public Orders(int OrderID,string CustomerID,int EmployeeID,DateTime OrderDate,DateTime RequiredDate,DateTime ShippedDate,int ShipVia,decimal Freight,string ShipName,string ShipAddress,string ShipCity,string ShipRegion,string ShipPostalCode,string ShipCountry){
             m_OrderID = OrderID;
             m_CustomerID = CustomerID;
             m_EmployeeID = EmployeeID;
             m_OrderDate = OrderDate;
             m_RequiredDate = RequiredDate;
             m_ShippedDate = ShippedDate;
             m_ShipVia = ShipVia;
             m_Freight = Freight;
             m_ShipName = ShipName;
             m_ShipAddress = ShipAddress;
             m_ShipCity = ShipCity;
             m_ShipRegion = ShipRegion;
             m_ShipPostalCode = ShipPostalCode;
             m_ShipCountry = ShipCountry;
           
		}
		#endregion
		
		#region 公共属性成员 


		/// <summary>
		/// 订单ID
		/// </summary>
		public int OrderID
		{
			get { return m_OrderID;}
			set { m_OrderID = value;}
		}

		/// <summary>
		/// 客户ID
		/// </summary>
		public string CustomerID
		{
			get { return m_CustomerID;}
			set { m_CustomerID = value;}
		}

		/// <summary>
		/// 雇员ID
		/// </summary>
		public int EmployeeID
		{
			get { return m_EmployeeID;}
			set { m_EmployeeID = value;}
		}

		/// <summary>
		/// 订购日期
		/// </summary>
		public DateTime OrderDate
		{
			get { return m_OrderDate;}
			set { m_OrderDate = value;}
		}

		/// <summary>
		/// 发货日期
		/// </summary>
		public DateTime RequiredDate
		{
			get { return m_RequiredDate;}
			set { m_RequiredDate = value;}
		}

		/// <summary>
		/// 到货日期
		/// </summary>
		public DateTime ShippedDate
		{
			get { return m_ShippedDate;}
			set { m_ShippedDate = value;}
		}

		/// <summary>
		/// 运货商ID
		/// </summary>
		public int ShipVia
		{
			get { return m_ShipVia;}
			set { m_ShipVia = value;}
		}

		/// <summary>
		/// 运货费
		/// </summary>
		public decimal Freight
		{
			get { return m_Freight;}
			set { m_Freight = value;}
		}

		/// <summary>
		/// 运货商
		/// </summary>
		public string ShipName
		{
			get { return m_ShipName;}
			set { m_ShipName = value;}
		}

		/// <summary>
		/// 货主地址
		/// </summary>
		public string ShipAddress
		{
			get { return m_ShipAddress;}
			set { m_ShipAddress = value;}
		}

		/// <summary>
		/// 货主城市
		/// </summary>
		public string ShipCity
		{
			get { return m_ShipCity;}
			set { m_ShipCity = value;}
		}

		/// <summary>
		/// 货主国家
		/// </summary>
		public string ShipRegion
		{
			get { return m_ShipRegion;}
			set { m_ShipRegion = value;}
		}

		/// <summary>
		/// 货主邮政编码
		/// </summary>
		public string ShipPostalCode
		{
			get { return m_ShipPostalCode;}
			set { m_ShipPostalCode = value;}
		}

		/// <summary>
		/// 货主国家
		/// </summary>
		public string ShipCountry
		{
			get { return m_ShipCountry;}
			set { m_ShipCountry = value;}
		}
      
		#endregion
			     
	}
}