﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;

namespace Mengma.Web.Admin
{
    public partial class EmployeesForm : Page
    {
        public string strId = "";
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                if (Request.Params["id"] != null && Request.Params["id"].Trim() != "")
                {
                    strId = Request.Params["id"];
                    int id = Convert.ToInt32(strId);
                    ShowInfo(id);
                }
                else
                {
                    this.EmployeeIDTextBox.Text = "0";//新建记录
                }
            }
        }
        /// <summary>
        /// 显示一条雇员 数据，为了修改
        /// </summary>
        /// <param name="Id">主键</param>
        private void ShowInfo(int Id)
        {
            Mengma.Model.Employees model = new Mengma.BLL.Employees().GetModel(Id);
            //
            EmployeeIDTextBox.Text = model.EmployeeID.ToString(); 
            LastNameTextBox.Text = model.LastName; 
            FirstNameTextBox.Text = model.FirstName; 
            TitleTextBox.Text = model.Title; 
            TitleOfCourtesyTextBox.Text = model.TitleOfCourtesy; 
            BirthDateDateTimePicker.Text = model.BirthDate.ToString(); 
            HireDateDateTimePicker.Text = model.HireDate.ToString(); 
            AddressTextBox.Text = model.Address; 
            CityTextBox.Text = model.City; 
            RegionTextBox.Text = model.Region; 
            PostalCodeTextBox.Text = model.PostalCode; 
            CountryTextBox.Text = model.Country; 
            HomePhoneTextBox.Text = model.HomePhone; 
            ExtensionTextBox.Text = model.Extension; 
            PhotoTextBox.Text = model.Photo; 
            NotesTextBox.Text = model.Notes; 
            ReportsToTextBox.Text = model.ReportsTo.ToString(); 
            PhotoPathTextBox.Text = model.PhotoPath; 
          

        }

        /// <summary>
        /// 保存一条雇员 数据
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public void btnSave_Click(object sender, EventArgs e)
        {
            string strErr = ""; 
            if (strErr != "")
            {
                //请在客户端验证
                return;
            }
            

            Mengma.Model.Employees model = new Mengma.Model.Employees();
            //
           model.EmployeeID = (EmployeeIDTextBox.Text !="")? Convert.ToInt32(EmployeeIDTextBox.Text): 0; 
           model.LastName = LastNameTextBox.Text; 
           model.FirstName = FirstNameTextBox.Text; 
           model.Title = TitleTextBox.Text; 
           model.TitleOfCourtesy = TitleOfCourtesyTextBox.Text; 
           model.BirthDate = (BirthDateDateTimePicker.Text !="")? Convert.ToDateTime(BirthDateDateTimePicker.Text): System.DateTime.Now; 
           model.HireDate = (HireDateDateTimePicker.Text !="")? Convert.ToDateTime(HireDateDateTimePicker.Text): System.DateTime.Now; 
           model.Address = AddressTextBox.Text; 
           model.City = CityTextBox.Text; 
           model.Region = RegionTextBox.Text; 
           model.PostalCode = PostalCodeTextBox.Text; 
           model.Country = CountryTextBox.Text; 
           model.HomePhone = HomePhoneTextBox.Text; 
           model.Extension = ExtensionTextBox.Text; 
           model.Photo = PhotoTextBox.Text; 
           model.Notes = NotesTextBox.Text; 
           model.ReportsTo = (ReportsToTextBox.Text !="")? Convert.ToInt32(ReportsToTextBox.Text): 0; 
           model.PhotoPath = PhotoPathTextBox.Text; 


            string msginfo = "";
            Mengma.BLL.Employees bll = new Mengma.BLL.Employees();
            if (model.EmployeeID == 0)
            {
                if (bll.Insert(model))
                {                    
                    Response.Write("<script>alert('保存新增数据成功！');window.location.href='EmployeesForm.aspx?id=" + model.EmployeeID.ToString() + "';</script>");
                }
                else
                    msginfo = bll.getLastErr();
            }
            else
            {
                if (bll.Update(model))
                {
                    Response.Write("<script>alert('保存修改数据成功！');window.location.href='EmployeesForm.aspx?id=" + model.EmployeeID.ToString() + "';</script>");
                }
                else
                    msginfo = bll.getLastErr();
            }
            if (msginfo != "")
            {
                Response.Write("<script>alert('保存失败！');</script>");//
                Response.Write("<script>alert('原因：" + msginfo + "！');</script>");//
            }

        }


        public void btnCancle_Click(object sender, EventArgs e)
        {
            Response.Redirect("EmployeesList.aspx");
        }
    }
}
