﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Mengma.Web
{
    public partial class _Default : System.Web.UI.Page
    {
        Mengma.BLL.Categories bllCategories = new Mengma.BLL.Categories();
        Mengma.BLL.CustomerCustomerDemo bllCustomerCustomerDemo = new Mengma.BLL.CustomerCustomerDemo();
        Mengma.BLL.CustomerDemographics bllCustomerDemographics = new Mengma.BLL.CustomerDemographics();
        Mengma.BLL.Customers bllCustomers = new Mengma.BLL.Customers();
        Mengma.BLL.Employees bllEmployees = new Mengma.BLL.Employees();
        Mengma.BLL.EmployeeTerritories bllEmployeeTerritories = new Mengma.BLL.EmployeeTerritories();
        Mengma.BLL.OrderDetails bllOrderDetails = new Mengma.BLL.OrderDetails();
        Mengma.BLL.Orders bllOrders = new Mengma.BLL.Orders();
        Mengma.BLL.Products bllProducts = new Mengma.BLL.Products();
        Mengma.BLL.Region bllRegion = new Mengma.BLL.Region();


        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                BindCategories();
                BindCustomerCustomerDemo();
                BindCustomerDemographics();
                BindCustomers();
                BindEmployees();
                BindEmployeeTerritories();
                BindOrderDetails();
                BindOrders();
                BindProducts();
                BindRegion();

            }
        }

        /// <summary>
        /// 绑定类别 
        /// </summary>
        public void BindCategories()
        {
        	string strOrder = "CategoryID desc";  //排序条件
        	DataSet ds = bllCategories.GetList(6, "*", "", strOrder);  
        	//绑定数据源
        	RepCategories.DataSource = (ds != null) ? ds.Tables[0] : null;
        	RepCategories.DataBind();
        }
        /// <summary>
        /// 绑定客户测试 
        /// </summary>
        public void BindCustomerCustomerDemo()
        {
        	string strOrder = "CustomerID desc";  //排序条件
        	DataSet ds = bllCustomerCustomerDemo.GetList(6, "*", "", strOrder);  
        	//绑定数据源
        	RepCustomerCustomerDemo.DataSource = (ds != null) ? ds.Tables[0] : null;
        	RepCustomerCustomerDemo.DataBind();
        }
        /// <summary>
        /// 绑定客户统计 
        /// </summary>
        public void BindCustomerDemographics()
        {
        	string strOrder = "CustomerTypeID desc";  //排序条件
        	DataSet ds = bllCustomerDemographics.GetList(6, "*", "", strOrder);  
        	//绑定数据源
        	RepCustomerDemographics.DataSource = (ds != null) ? ds.Tables[0] : null;
        	RepCustomerDemographics.DataBind();
        }
        /// <summary>
        /// 绑定客户 
        /// </summary>
        public void BindCustomers()
        {
        	string strOrder = "CustomerID desc";  //排序条件
        	DataSet ds = bllCustomers.GetList(6, "*", "", strOrder);  
        	//绑定数据源
        	RepCustomers.DataSource = (ds != null) ? ds.Tables[0] : null;
        	RepCustomers.DataBind();
        }
        /// <summary>
        /// 绑定雇员 
        /// </summary>
        public void BindEmployees()
        {
        	string strOrder = "EmployeeID desc";  //排序条件
        	DataSet ds = bllEmployees.GetList(6, "*", "", strOrder);  
        	//绑定数据源
        	RepEmployees.DataSource = (ds != null) ? ds.Tables[0] : null;
        	RepEmployees.DataBind();
        }
        /// <summary>
        /// 绑定雇员领域 
        /// </summary>
        public void BindEmployeeTerritories()
        {
        	string strOrder = "EmployeeID desc";  //排序条件
        	DataSet ds = bllEmployeeTerritories.GetList(6, "*", "", strOrder);  
        	//绑定数据源
        	RepEmployeeTerritories.DataSource = (ds != null) ? ds.Tables[0] : null;
        	RepEmployeeTerritories.DataBind();
        }
        /// <summary>
        /// 绑定订单明细 
        /// </summary>
        public void BindOrderDetails()
        {
        	string strOrder = "OrderID desc";  //排序条件
        	DataSet ds = bllOrderDetails.GetList(6, "*", "", strOrder);  
        	//绑定数据源
        	RepOrderDetails.DataSource = (ds != null) ? ds.Tables[0] : null;
        	RepOrderDetails.DataBind();
        }
        /// <summary>
        /// 绑定订单 
        /// </summary>
        public void BindOrders()
        {
        	string strOrder = "OrderID desc";  //排序条件
        	DataSet ds = bllOrders.GetList(6, "*", "", strOrder);  
        	//绑定数据源
        	RepOrders.DataSource = (ds != null) ? ds.Tables[0] : null;
        	RepOrders.DataBind();
        }
        /// <summary>
        /// 绑定产品 
        /// </summary>
        public void BindProducts()
        {
        	string strOrder = "ProductID desc";  //排序条件
        	DataSet ds = bllProducts.GetList(6, "*", "", strOrder);  
        	//绑定数据源
        	RepProducts.DataSource = (ds != null) ? ds.Tables[0] : null;
        	RepProducts.DataBind();
        }
        /// <summary>
        /// 绑定地区 
        /// </summary>
        public void BindRegion()
        {
        	string strOrder = "RegionID desc";  //排序条件
        	DataSet ds = bllRegion.GetList(6, "*", "", strOrder);  
        	//绑定数据源
        	RepRegion.DataSource = (ds != null) ? ds.Tables[0] : null;
        	RepRegion.DataBind();
        }

    }
}